Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.configmbeans
Interface DataServicesConfigMBean

All Superinterfaces:
  ImmutableDataServicesConfigMBean

    public interface DataServicesConfigMBean

extends ImmutableDataServicesConfigMBean

An mbean that deals with the configuration of a data service. One is allowed to fetch an update details about a data service. The format of the data service id would be like "ld:folderpath/dataservicename.service".

Field Summary
`static java.lang.String` | `NAME_PREFIX`

Method Summary
`void` | `setAdminDefinedSecureResourceConfigs(java.lang.String dataServiceId, java.util.Collection<AdminDefinedSecureResourceConfig> configs)` Replaces the current list of admin resources.
`void` | `setFunctionConfig(FunctionConfig config)` Updates configuration for the passed function.
`void` | `setFunctionConfigs(java.lang.String dataServiceId, java.util.List<FunctionConfig> configs)` Updates configurations for the passed functions.

Methods inherited from interface com.bea.dsp.management.configmbeans.ImmutableDataServicesConfigMBean
`getAdminDefinedSecureResourceConfigs, getAllFunctionIdsForDataService, getFunctionConfig, getFunctionConfigs, getUserDefinedSecureResources`

Field Detail

### NAME_PREFIX

    static final java.lang.String NAME_PREFIX

Method Detail

### setFunctionConfig

    void setFunctionConfig(FunctionConfig config)
                           throws java.lang.Exception,
                                  ValidationException

  Updates configuration for the passed function. New data service functions cannot be created using this method.

  Parameters:
    `config` -
  Throws:
    `ValidationException` - if the validate method of the config object fails
    `java.lang.Exception`

### setFunctionConfigs

    void setFunctionConfigs(java.lang.String dataServiceId,
                            java.util.List<FunctionConfig> configs)
                            throws java.lang.Exception,
                                   ValidationException

  Updates configurations for the passed functions. This methods allows partial update. If the data service has five functions. Say using console two were updated then this method can be called with function config of that two methods only. Other function config will remain untouched.

  Parameters:
    `dataServiceId` -
    `configs` - list of updated function config
  Throws:
    `ValidationException` - if the validate method of the config object fails
    `java.lang.Exception`

### setAdminDefinedSecureResourceConfigs

    void setAdminDefinedSecureResourceConfigs(java.lang.String dataServiceId,
                                              java.util.Collection<AdminDefinedSecureResourceConfig> configs)
                                              throws java.lang.Exception,
                                                     ValidationException

  Replaces the current list of admin resources. All the resources are replaced. Passing null configs is equivalent to deleting all admin defined secure resources.

  Parameters:
    `dataServiceId` -
    `configs` - admin defined security config
  Throws:
    `ValidationException` - if the validate method of the config object fails
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.